# getMyAboutMe

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/colleagues/{id}/about-me |

| Field | Value |
|---|---|
| operationId | getMyAboutMe |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /colleagues/{id}/about-me |
| tags | `Colleagues & Profiles` |
| summary | Get own About Me (self-only; pre-fills the editor) |
| badges | `{"name":"Viewer"}`, `{"name":"Admin"}`, `{"name":"Owner"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| id | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | About Me content, or null when none exists | #/components/schemas/AboutMeResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 403 | Cannot read or edit another colleague's About Me | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "You can only view or edit your own About Me",
  "error": "ABOUT_ME_FORBIDDEN"
}
```
